> For the complete documentation index, see [llms.txt](https://docs.non-obvious.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.non-obvious.ai/sdks-guide/ai-guide/check-toxicity/chectoxicitytest.md).

# checToxicityTest

## Description

Check toxicity of a piece of text. This functionality is developed using \[this]\(<https://huggingface.co/unitary/toxic-bert>) model.

## Parameters

| Parameter | Type   | Description     |
| --------- | ------ | --------------- |
| prompt    | string | a piece of text |

## Response

| Parameter | Type   | Description                                                                                                                                |
| --------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| message   | string | message about the response                                                                                                                 |
| status    | int    | <p>1 for successful execution</p><p>-1 for any error occurs during the execution of the request</p>                                        |
| response  | object | this object will have six properties, each is a class of toxicity, the value will be true in case of toxic and false in case of not toxic. |

## Example Request and Response

### Prerequisites

Before making requests with NO.AI SDK, you must have it installed.

You can install NO.AI SDK using either `npm` or `yarn`. Use the following commands to install NO.AI SDK:

```sh
npm install @nest25/ai-core-sdk
OR
yarn add @nest25/ai-core-sdk
```

## Request

Here is an example of how to make a `checkToxicityText`request using the NO.AI SDK:

```javascript
// import the ai-core-sdk
import {AIServices} from '@nest25/ai-core-sdk';

// create a new instance of the sdk
const aiServices = new AIServices();

async function main() {
  // get the result of the test
  const result = await aiServices.checkToxicityText('this is a prompt');
  console.log(result);
}

main();
```

## Response

```json
{
    "message": "Request successful",
    "response": {
        "identity_hate": true,
        "insult": false,
        "obscene": false,
        "severe_toxic": false,
        "threat": false,
        "toxic": true
    },
    "status": 1
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.non-obvious.ai/sdks-guide/ai-guide/check-toxicity/chectoxicitytest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
